# POA_Bonobo_EventSource__epv Struct Reference

`#include <GNOME_Magnifier.h>`

## Data Fields
void * | _private
void(* | addListener )(PortableServer_Servant _servant, const Bonobo_Listener l, CORBA_Environment *ev)
void(* | addListenerWithMask )(PortableServer_Servant _servant, const Bonobo_Listener l, const CORBA_char *event_mask, CORBA_Environment *ev)
void(* | removeListener )(PortableServer_Servant _servant, const Bonobo_Listener l, CORBA_Environment *ev)
void(* | unImplemented )(PortableServer_Servant _servant, CORBA_Environment *ev)
void(* | unImplemented2 )(PortableServer_Servant _servant, CORBA_Environment *ev)

## Detailed Description

Definition at line 1006 of file GNOME_Magnifier.h.

## Field Documentation

void* POA_Bonobo_EventSource__epv::_private

Definition at line 1007 of file GNOME_Magnifier.h.

void(* POA_Bonobo_EventSource__epv::addListener)(PortableServer_Servant _servant, const Bonobo_Listener l, CORBA_Environment *ev)

Definition at line 1008 of file GNOME_Magnifier.h.

Referenced by get_skel_small_Bonobo_EventSource().

void(* POA_Bonobo_EventSource__epv::addListenerWithMask)(PortableServer_Servant _servant, const Bonobo_Listener l, const CORBA_char *event_mask, CORBA_Environment *ev)

Definition at line 1009 of file GNOME_Magnifier.h.

Referenced by get_skel_small_Bonobo_EventSource().

void(* POA_Bonobo_EventSource__epv::removeListener)(PortableServer_Servant _servant, const Bonobo_Listener l, CORBA_Environment *ev)

Definition at line 1010 of file GNOME_Magnifier.h.

void(* POA_Bonobo_EventSource__epv::unImplemented)(PortableServer_Servant _servant, CORBA_Environment *ev)

Definition at line 1011 of file GNOME_Magnifier.h.

void(* POA_Bonobo_EventSource__epv::unImplemented2)(PortableServer_Servant _servant, CORBA_Environment *ev)

Definition at line 1012 of file GNOME_Magnifier.h.

The documentation for this struct was generated from the following file:

- GNOME_Magnifier.h